9i Database - AS9i - Developer 1.3 connection problem - Heterogeneous Connectivity

Hi there,
Sorry to disturb You but I really need help.
I have serious installation problem with 9i database and AS 9i.
I try to install 9i database and AS9i on the same machine
(Windows2000).
First, I successfully installed 9i database and Developer 1.3 (I
needed Developer runtime for
running my application) and it worked fine. Now, I tried to
install AS9i but I couldn't install it
properly: some dll files were missing like core40.dll,
vbjruntime.dll,oracore8.dll. Also after installation Portal 3.0,
Database cash and Web cash configuration assistent couldn't
complete.
After AS9i installation my application that worked fine before
installation can't connect to database.
I'd like to ask:
1. Is it possible to run 9i database, AS9i and Developer 1.3 on
the same machine?
2. If it's possible what should be installed first?
3. Should I use same or diferent Oracle home?
4. Is there some way to configure diferent versions of SQLNet
that come with each of these products?
Thanks in advance

Related

Help!!! desperate

I am new to oracle, i am using developer for a university project> my problem is i have downloaded it but i cant seem to configure it properly
I get errors ORA-12560 when trying to log into sql plus
TNS protocol error
can someoone please talk me thorugh installation 
You said you downloaded Developer (6i?,9i?,10g?), do you have a database, too? Assuming you are on Windows ORA-12560 is thrown, if no local database is running. 
I have downloaded 10g, of this site and installed the rapid application development, i havent created a database. i tried to log in to sql and designer but unable to do so 
You need definitely a database, either locally on the same machine or remotely on another machine. Developer will not work without it. 
so do i need to create that or can i download one 
when i go to services, none of the oracle service can be started 
You can download the software here on OTN in the database section, newest version is 10g Release 2 (10.2.0.1.0). But you should check developer installation guide (under software requirements), which database versions are supported. Maybe 10gR2 is too new and you have to download an older version. 
it works i knew it was something simple
thanks for taking time

9i Database - AS9i installation problem

Hi there,
Sorry to disturb You but I really need help.
I have serious installation problem with 9i database and AS 9i.
I try to install 9i database and AS9i on the same machine
(Windows2000).
First, I successfully installed 9i database and Developer 1.3 (I
needed Developer runtime for
running my application) and it worked fine. Now, I tried to
install AS9i but I couldn't install it
properly: some dll files were missing like core40.dll,
vbjruntime.dll,oracore8.dll. Also after installation Portal 3.0,
Database cash and Web cash configuration assistent couldn't
complete.
After AS9i installation my application that worked fine before
installation can't connect to database.
I'd like to ask:
1. Is it possible to run 9i database, AS9i and Developer 1.3 on
the same machine?
2. If it's possible what should be installed first?
3. Should I use same or diferent Oracle home?
4. Is there some way to configure diferent versions of SQLNet
that come with each of these products?
Thanks in advance

Newbie question: What do I need to do to install 9i Lite?

So I've been fumbling around with Oracle 9i Lite for almost two days now... I thought I'd better ask for help!
Basically, my question is this:
What needs to be installed, in what order, and what should I expect to have in the Start menu on a Windows 2000 Server machine?
I've got a partial answer:
Need Oracle Database 8.1.6 or higher, because the Oracle 9i Lite install does not include a database. I downloaded and installed Oracle 9i Database.
I think I need Oracle 9i Application Server. Unfortunately, I haven't managed to download it uncorrupted yet (using GetRight). I have tried to use the Oracle 9i Application Server Core Components download, but that didn't seem to help me.
So what should appear in the Start menu? I only get two HTML document links for Release Notes and Documentation, and the Microsoft ODBC Administrator. Should I see anything else? If not, how do I start up Mobile Server?
This is a stumbling block I'd really like to get over, and any help is definitely appreciated! 
Hi Thorin,
in order, you should install:
Oracle 8i database server
JDK 1.3.1
Oracle Lite 5.0.1.0.0 .
After jdk installation, you should reboot your server.
Best regards,
Simone

Problem connecting to a 9i Database using SQL_PLUS 3.1, Forms 4.5 (SQLNet V.2)

We are trying to upgrade to Oracle 9i from 8i. We have a large number of client machines (Windows 95/98) still using SQL_PLUS 3.1 and running Oracle Forms 4.5 applications. They are using SQLNet V.2. Our testing so far has shown that we are unable to connect to 9i using these older products, whereas we were able to connect to 8i. At this stage we would prefer not to upgrade to more recent versions of Oracle Forms and SQL_PLUS. Is there a compatibility problem here between 9i and these older client products, or is there a work around?
Thanks in advance for you help
Anyone have an answer? I have a similar problem only I am on Forms 6, not 4.5
Nick,
I'm not sure how you would expect client products that are ~6 years old to connect to the latest server products. Oracle works hard at making new releases backwardly compatible, but making software forwardly compatible is one mean feat for any software company.
You will need to upgrade your clients.
Alison 
Hello
I do that on my customer
The application is Forms 4.5 Sqlnet V2 and i have migrate the old database 7.3.4 on a new server with Oracle 9iR2 on Linux
So, i say it's possible
Now we are planning a migration to the tools Forms 6i
I have also connected old products such as Forms to an Oracle 9i server.
Can you tell us what error you receive? Is it a TNS error? I have had this sort of problem with multiple copies of the tnsnames.ora file on the same client machine.
I fixed it by setting the environment variable TNS_ADMIN to the path of the directory containing the tsnames.ora file that I wanted all Oracle products to use. 
Hi , I also having the same problem also.
When i try to connect using form4.5/sqlplus 3.21. it just halt no error message come out.
Our client is running in OS390MVS. and all of our form 4.5 runtime is store into a file server as well.
I have try to change all tnsnames.ora inside the server all to a same consistent version but still can't not
Is it possbile to tell form 4.5 to use the NET80 ?

?? Bad registry creation after install Oracle 8.1.7 / Developer 6i

Hello,
I posted a previous message here regarding a problem starting the Oracle services in my laptop, after installing Developer 6i.
Well I now know what happened: When I installed Oracle Enterprise, I specified ORAOi as the ORACLE HOME (in C:\oracle8i). Later while installing Developer I specified ORANT (C:\orant) as it's own ORACLE HOME.
Now in the REGISTRY this should have created TWO oracle homes, but as it turns out the installation of Developper just REPLACED the previous home. So now I seem to have ONLY ONE HOME (all the other keys in the registry, for the DB, were lost).
Now, how can I do to get a copy of the "previous" registry keys, before the install of Dev 6i?
I'm installing in Windows XP.
I would really appreciate ANY help.
--oswaldo.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
The normal procedure when installing a single database and a single version of developer on the same PC is to install developer first then the DB afterwards, AS LONG AS the DB is multiple-home aware. In this example, we are using 8i / 8.1.5 as this is MOH aware. This is documented by Oracle. This is the standard method - install developer first then 8i.
PROBLEM! If using a pre 8i database, you have to install it into the same Oracle home as developer - and only then there are only VERY SPECIFIC COMBINATIONS of the two products that will work. You HAVE to make sure this is correct. The problem with this approach is that you cannot upgrade the one without upgrading the other. As such Section A of this note is based on the assumption that you are using 8i or another MOH aware database.
Workarounds for Pre 8i database and developer installations on the same machine can be discused later.

Categories

Resources